<script type="text/javascript">
$(document).ready(function() {
    $(function() {
        $("#theList tr:even").addClass("stripe1");
        $("#theList tr:odd").addClass("stripe2");

        $("#theList tr").hover(
            function() {
                $(this).toggleClass("highlight");
            },
            function() {
                $(this).toggleClass("highlight");
            }
        );
    });	
});

	function pilih(ID){
		var noakun = ID;
		var tglawal = $("#txt_tglawal").val();
		var tglakhir = $("#txt_tglakhir").val();
						
		$.ajax({
			type	: "POST",
			url		: "modul/akun_bb/cari.php",
			data	: "noakun="+noakun,
			dataType: "json",
			success	: function(data){
				$("#t_noakun").val(noakun);
				$("#t_naakun").val(data.naakun);
				$("#t_kode").val(data.kode);
				$("#pencarian_bb").hide();
				$("#tampil_data_bb").hide();
				$("#info_bb").show();
				$("#tampil_detail_bb").show();
				$("#tampil_detail_bb").load("modul/akun_bb/tampil_detail_bb.php?noakun="+noakun+"&tglawal="+tglawal+"&tglakhir="+tglakhir);
			}
		});
	}
</script>

<?php
include '../../inc/inc.koneksi.php';

$tgl_aw= $_GET[tgl_awal];
$tgl_ak= $_GET[tgl_akhir];
$cari  = $_GET[cari];

$thn = (int) substr($tgl_ak, 0, 4);
$bln = (int) substr($tgl_ak, 5, 2);
$tgl = (int) substr($tgl_ak, 8, 2);
$kab = $thn;

while($kab>4){
	$kab = $kab-4;
}
$tgl=$tgl+1;

if($bln==1){
	if($tgl==32){
		$tgl=1;
		$bln=$bln+1;
	}
}else if($bln==2){
	if($kab>0){
		if($tgl==29){
			$tgl=1;
			$bln=$bln+1;
		}
	}else{
		if($tgl==30){
			$tgl=1;
			$bln=$bln+1;
		}
	}
}else if($bln==3){
	if($tgl==32){
		$tgl=1;
		$bln=$bln+1;
	}
}else if($bln==4){
	if($tgl==31){
		$tgl=1;
		$bln=$bln+1;
	}
}else if($bln==5){
	if($tgl==32){
		$tgl=1;
		$bln=$bln+1;
	}
}else if($bln==6){
	if($tgl==31){
		$tgl=1;
		$bln=$bln+1;
	}
}else if($bln==7){
	if($tgl==32){
		$tgl=1;
		$bln=$bln+1;
	}
}else if($bln==8){
	if($tgl==32){
		$tgl=1;
		$bln=$bln+1;
	}
}else if($bln==9){
	if($tgl==31){
		$tgl=1;
		$bln=$bln+1;
	}
}else if($bln==10){
	if($tgl==32){
		$tgl=1;
		$bln=$bln+1;
	}
}else if($bln==11){
	if($tgl==31){
		$tgl=1;
		$bln=$bln+1;
	}
}else{
	if($tgl==32){
		$tgl=1;
		$bln=1;
		$thn=$thn+1;
	}
}
$tgl=sprintf("%02s",$tgl);
$bln=sprintf("%02s",$bln);
$tglaw=$thn.'-'.$bln.'-'.$tgl;

$query1=mysql_query("SELECT max(tanggal) as tg_akhir FROM rekapjur ORDER BY tanggal");
$r1=mysql_fetch_array($query1);
$tglak=$r1[tg_akhir];

echo "<table id='theList' width='100%'>
		<tr>			
			<th>Kode</th>
			<th>Nama Akun</th>
			<th>Debet</th>
			<th>Kredit</th>
			<th>View</th>
		</tr>";
		
		if (!empty($cari)){
			$query1= "SELECT * FROM gol_akun WHERE (nagol LIKE '%$cari%' or nogol LIKE '%$cari%') ORDER BY nogol";
		}
		else{
			$query1= "SELECT * FROM gol_akun ORDER BY nogol";
		}
		$data1	= mysql_query($query1);
		$jml=1;
		$tdebet=0;
		$tkredit=0;
		while($r1=mysql_fetch_array($data1)){
			$nogol=$r1[nogol];

			echo "<tr>				
				<td><b>$r1[nogol]</b></td>			
				<td><b>$r1[nagol]</b></td>
			</tr>";
			
			$sql= "SELECT nogol,noakun,naakun,nosub,kode,sum(saldo) as jsaldo,sum(mutasi_db) as mtsdb,sum(mutasi_kd) as mtskd FROM akun_bb WHERE nogol='$nogol' AND level='2' GROUP BY noakun";
			
			$query = mysql_query($sql);
					
			$sdebet=0;
			$skredit=0;
			while($r=mysql_fetch_array($query)){
				if($r[kode]=='D'){
					$debet=$r[jsaldo]+$r[mtsdb]-$r[mtskd];
					$kredit='';
				}else{
					$kredit=$r[jsaldo]+$r[mtskd]-$r[mtsdb];
					$debet='';
				}				
				$kode=$r[kode];								
				$norek=$r[noakun];
				
				$sql1=mysql_query("SELECT sum(debet) as jdebet,sum(kredit) as jkredit FROM rekapjur WHERE tanggal BETWEEN '$tglaw' AND '$tglak' AND noakun='$norek' AND batal='' GROUP BY noakun");
				
				$r1=mysql_fetch_assoc($sql1);
			
				if($kode=='D'){					
					$mutasi=$r1[jdebet]-$r1[jkredit];
					$debet=$debet-$mutasi;
					$sdebet=$sdebet+$debet;
				}else{
					$mutasi=$r1[jkredit]-$r1[jdebet];
					$kredit=$kredit-$mutasi;
					$skredit=$skredit+$kredit;
				}
				
				echo "<tr>					
					<td>$r[noakun]</td>
					<td>$r[naakun]</td>					
					<td align='right'>".number_format($debet,2)."</td>
					<td align='right'>".number_format($kredit,2)."</td>
					<td align='center'>
						<a href='javascript:void(0)' onClick=\"pilih('$r[noakun]')\">
							<img src='images/view.png' border='0' id='lihat' title='Lihat Buku Besar' width='18' height='18'>
						</a>
					</td>
				</tr>";					
			}
			echo "<tr>				
				<td></td>
				<td>Jumlah</td>
				<td align='right'>".number_format($sdebet,2)."</td>
				<td align='right'>".number_format($skredit,2)."</td>
				</tr>";
				$tdebet=$tdebet+$sdebet;
				$tkredit=$tkredit+$skredit;
		}
		echo "<tr>			
			<tr>			
				<td></td>
				<td>Total</td>
				<td align='right'>".number_format($tdebet,2)."</td>
				<td align='right'>".number_format($tkredit,2)."</td>
			</tr>";
			
	echo "</table>";
?>
